--- netkit-rwho-0.17/include/protocols/rwhod.h.include	2000-06-03 12:43:06.000000000 -0400
+++ netkit-rwho-0.17/include/protocols/rwhod.h	2004-10-18 20:21:18.000000000 -0400
@@ -1,6 +1,6 @@
 /*
- * Copyright (c) 1983 The Regents of the University of California.
- * All rights reserved.
+ * Copyright (c) 1983, 1993
+ *	The Regents of the University of California.  All rights reserved.
  *
  * Redistribution and use in source and binary forms, with or without
  * modification, are permitted provided that the following conditions
@@ -10,10 +10,6 @@
  * 2. Redistributions in binary form must reproduce the above copyright
  *    notice, this list of conditions and the following disclaimer in the
  *    documentation and/or other materials provided with the distribution.
- * 3. All advertising materials mentioning features or use of this software
- *    must display the following acknowledgement:
- *	This product includes software developed by the University of
- *	California, Berkeley and its contributors.
  * 4. Neither the name of the University nor the names of its contributors
  *    may be used to endorse or promote products derived from this software
  *    without specific prior written permission.
@@ -30,12 +26,13 @@
  * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
  * SUCH DAMAGE.
  *
- *	from: @(#)rwhod.h	5.6 (Berkeley) 4/3/91
- *	$Id: rwhod.h,v 1.3 2000/06/03 16:43:06 dholland Exp $
+ *	@(#)rwhod.h	8.1 (Berkeley) 6/2/93
  */
 
-#ifndef _RWHOD_H_
-#define	_RWHOD_H_
+#ifndef _PROTOCOLS_RWHOD_H
+#define	_PROTOCOLS_RWHOD_H 1
+
+#include <sys/types.h>
 
 /*
  * rwho protocol packet format.
@@ -50,20 +47,21 @@
 	char	wd_vers;		/* protocol version # */
 	char	wd_type;		/* packet type, see below */
 	char	wd_pad[2];
-	int32_t	wd_sendtime;		/* time stamp by sender */
-	int32_t	wd_recvtime;		/* time stamp applied by receiver */
+	int	wd_sendtime;		/* time stamp by sender */
+	int	wd_recvtime;		/* time stamp applied by receiver */
 	char	wd_hostname[32];	/* hosts's name */
-	int32_t	wd_loadav[3];		/* load average as in uptime */
-	int32_t	wd_boottime;		/* time system booted */
+	int	wd_loadav[3];		/* load average as in uptime */
+	int	wd_boottime;		/* time system booted */
 	struct	whoent {
 		struct	outmp we_utmp;	/* active tty info */
-		int32_t	we_idle;	/* tty idle time */
+		int	we_idle;	/* tty idle time */
 	} wd_we[1024 / sizeof (struct whoent)];
 };
 
 #define	WHODVERSION	1
 #define	WHODTYPE_STATUS	1		/* host status */
 
-#define	_PATH_RWHODIR	"/var/spool/rwho"
+/* We used to define _PATH_RWHODIR here but it's now in <paths.h>.  */
+#include <paths.h>
 
-#endif /* !_RWHOD_H_ */
+#endif /* protocols/rwhod.h */
